cURL
curl -X GET "https://app.cotool.ai/api/mitre/techniques/:techniqueId" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"import requests
url = "https://app.cotool.ai/api/mitre/techniques/{techniqueId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cotool.ai/api/mitre/techniques/{techniqueId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://app.cotool.ai/api/mitre/techniques/{techniqueId}")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/mitre/techniques/{techniqueId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"technique": {
"techniqueId": "<string>",
"techniqueName": "<string>",
"description": "<string>",
"tactics": [
"<string>"
],
"detectionCount": 123,
"confidence": 0.5,
"detectionRules": [
{
"id": "<string>",
"name": "<string>",
"confidence": 0.5,
"reasoning": "<string>"
}
],
"isSubtechnique": true,
"parentTechnique": "<string>",
"platforms": [
"<string>"
],
"dataSources": [
"<string>"
],
"mitigations": [
"<string>"
],
"url": "<string>",
"rawData": {
"id": "<string>",
"type": "attack-pattern",
"name": "<string>",
"description": "<string>",
"created": "<string>",
"modified": "<string>",
"external_references": [
{
"source_name": "<string>",
"external_id": "<string>",
"url": "<string>",
"description": "<string>"
}
],
"kill_chain_phases": [
{
"kill_chain_name": "<string>",
"phase_name": "<string>"
}
],
"x_mitre_version": "<string>",
"x_mitre_attack_spec_version": "<string>",
"x_mitre_domains": [
"<string>"
],
"x_mitre_is_subtechnique": true,
"x_mitre_detection": "<string>",
"x_mitre_platforms": [
"<string>"
],
"x_mitre_data_sources": [
"<string>"
],
"aliases": [
"<string>"
],
"spec_version": "<string>",
"object_marking_refs": [
"<string>"
],
"revoked": true,
"x_mitre_deprecated": true
}
}
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}MITRE Classification
Get MITRE technique details
Retrieve detailed information about a specific MITRE ATT&CK technique including detection rules
GET
/
api
/
mitre
/
techniques
/
{techniqueId}
cURL
curl -X GET "https://app.cotool.ai/api/mitre/techniques/:techniqueId" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"import requests
url = "https://app.cotool.ai/api/mitre/techniques/{techniqueId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cotool.ai/api/mitre/techniques/{techniqueId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://app.cotool.ai/api/mitre/techniques/{techniqueId}")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/mitre/techniques/{techniqueId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"technique": {
"techniqueId": "<string>",
"techniqueName": "<string>",
"description": "<string>",
"tactics": [
"<string>"
],
"detectionCount": 123,
"confidence": 0.5,
"detectionRules": [
{
"id": "<string>",
"name": "<string>",
"confidence": 0.5,
"reasoning": "<string>"
}
],
"isSubtechnique": true,
"parentTechnique": "<string>",
"platforms": [
"<string>"
],
"dataSources": [
"<string>"
],
"mitigations": [
"<string>"
],
"url": "<string>",
"rawData": {
"id": "<string>",
"type": "attack-pattern",
"name": "<string>",
"description": "<string>",
"created": "<string>",
"modified": "<string>",
"external_references": [
{
"source_name": "<string>",
"external_id": "<string>",
"url": "<string>",
"description": "<string>"
}
],
"kill_chain_phases": [
{
"kill_chain_name": "<string>",
"phase_name": "<string>"
}
],
"x_mitre_version": "<string>",
"x_mitre_attack_spec_version": "<string>",
"x_mitre_domains": [
"<string>"
],
"x_mitre_is_subtechnique": true,
"x_mitre_detection": "<string>",
"x_mitre_platforms": [
"<string>"
],
"x_mitre_data_sources": [
"<string>"
],
"aliases": [
"<string>"
],
"spec_version": "<string>",
"object_marking_refs": [
"<string>"
],
"revoked": true,
"x_mitre_deprecated": true
}
}
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Authorizations
API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here
Path Parameters
The MITRE technique ID to retrieve details for
Response
Successful response
Detailed technique information
Show child attributes
Show child attributes
Was this page helpful?
⌘I